;;; -*- Mode: LISP; Syntax: Common-Lisp; Package: USER; -*-

(in-package adb::*user-package*)

;;; Imports into the ADB package various symbols from USER
;;;  that people like to have in their code.


(eval-when (compile load eval)
  (dolist (sym '(and or not implies iff taxonomy
		 -> =
		 has-member members ;; For defining sets
		 ;rule rjustify rreferent rassert! assertq assert!
		 ))
    (shadowing-import (intern (format nil "~A" sym)
			      (find-package adb::*user-package*))
		      (find-package 'adb))))
